
Redmine - Defect #15775

Email delivery error: wrong argument (Fixnum)! (Expected kind of OpenSSL::SSL::SSLContext)

2013-12-27 15:21 - Andrei Toupinets

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.4.2

Description

Couldn't send email... almost same issue as #13698 in new 2.4.2 version. downgrade of gem plugin "mail" without breaking the

dependency is impossible...

production:

email_delivery:

delivery_method: :smtp

smtp_settings:

address: "smtp.myexample.net"

port: 25

openssl_verify_mode: 0

authentication: :none

Environment:

Redmine version                2.4.2.stable.12470

Ruby version                   1.8.7-p352 (2011-06-30) [x86_64-linux]

Rails version                  3.2.16

Environment                    production

Database adapter               MySQL

SCM:

Subversion                     1.6.11

Git                            1.7.1

Filesystem

Redmine plugins:

no plugin installed

Related issues:

Related to Redmine - Defect #13698: Wrong argument  error when sending email ... Closed

History

#1 - 2013-12-28 00:03 - Toshi MARUYAMA

- Description updated

#2 - 2013-12-28 00:06 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Andrei Toupinets wrote:

downgrade of gem plugin "mail" without breaking the dependency is impossible...

 Please describe more details.

#3 - 2013-12-30 10:42 - Andrei Toupinets

when I changed version of mail package to 2.5.3 in Gemfile.lock, installation with bundle work fine, but I can't uninstall new 2.5.4 version of mail, it

have dependency on actionmailer. See log below:

[root@redmine redmine-2.4]# bundle install --without development test

Using rake (10.1.1)

Using i18n (0.6.9)

Using multi_json (1.8.2)
Using activesupport (3.2.16)

Using builder (3.0.0)

Using activemodel (3.2.16)

Using erubis (2.7.0)

Using journey (1.0.4)

Using rack (1.4.5)

Using rack-cache (1.2)

Using rack-test (0.6.2)

Using hike (1.2.3)

Using tilt (1.4.1)

Using sprockets (2.2.2)

Using actionpack (3.2.16)

Using mime-types (1.25.1)

Using polyglot (0.3.3)

Using treetop (1.4.15)

Using mail (2.5.3)

Using actionmailer (3.2.16)

Using arel (3.0.3)

Using tzinfo (0.3.38)

Using activerecord (3.2.16)

Using activeresource (3.2.16)

Using coderay (1.1.0)

Using fastercsv (1.5.5)

Using rack-ssl (1.3.3)

Using json (1.8.1)

Using rdoc (3.12.2)

Using thor (0.18.1)

Using railties (3.2.16)

Using jquery-rails (2.0.3)

Using mysql (2.8.1)

Using net-ldap (0.3.1)

Using ruby-openid (2.3.0)

Using rack-openid (1.4.1)

Using bundler (1.3.5)

Using rails (3.2.16)

Using rmagick (2.13.2)

Your bundle is complete!

Gems in the groups development and test were not installed.

Use `bundle show [gemname]` to see where a bundled gem is installed.

[root@redmine redmine-2.4]# gem uninstall mail -v 2.5.4

You have requested to uninstall the gem:

    mail-2.5.4

actionmailer-3.2.15 depends on [mail (~> 2.5.4)]

actionmailer-3.2.16 depends on [mail (~> 2.5.4)]

If you remove this gems, one or more dependencies will not be met.

Continue with Uninstall? [Yn]

#4 - 2013-12-30 11:06 - Andrei Toupinets

Problem solved by removing line

openssl_verify_mode: 0

#5 - 2013-12-30 11:46 - Jan from Planio www.plan.io

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

There is much more discussion in duplicate issue #13698, so I'm closing this one.

#6 - 2013-12-30 11:46 - Jan from Planio www.plan.io

- Related to Defect #13698: Wrong argument  error when sending email notifications after upgrading to 2.3.0 added
